package leigh.mud.engine;

import leigh.mecha.log.MechaLogger;
import leigh.mecha.log.MechaLoggerFactory;
import leigh.mud.engine.io.CircleDataImporter;
import org.junit.jupiter.api.Test;

import java.io.File;

public class RoomLoaderTest {
    private static final MechaLogger logger = MechaLoggerFactory.getLogger(RoomLoaderTest.class);

    @Test
    public void testLoader() throws Exception {
        CircleDataImporter loader = new CircleDataImporter(new File("circle/world/wld/9.wld"));
        loader.runDangerously();

        for (Room r : loader.getRooms()) {
            logger.info("Room: {}", r);
        }
    }
}
